#include <iostream>
#include <vector>

using namespace std;

using ll = long long;

const ll MOD = 998244353;

int main() {
	int n, c;
	cin >> n >> c;
	vector<int> ans(c + 1, 1);
	for (int i = 1; i < n; ++i) {
		vector<int> new_ans(c + 1);
		for (int x = 1; x <= c; ++x) {
			for (int y = x; y <= c; ++y) {
				if (y % x == 0) {
					new_ans[y] += ans[x];
					if (new_ans[y] >= MOD) {
						new_ans[y] -= MOD;
					}
				}
			}
		}
		swap(ans, new_ans);
	}
	ll res = 0;
	for (int i = 1; i <= c; ++i) {
		res += ans[i];
	}
	res %= MOD;
	cout << res;
	return 0;
}
